Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractStyleFactory

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QAbstractStyleFactory

All Implemented Interfaces:
  QAbstractFactoryInterface, QAbstractStyleFactoryInterface, QtJambiInterface

    public abstract class QAbstractStyleFactory

extends QtJambiObject
implements QAbstractStyleFactoryInterface, QAbstractFactoryInterface

The `QStyleFactory` class creates `QStyle` objects. The `QStyle` class is an abstract base class that encapsulates the look and feel of a GUI. `QStyleFactory` creates a `QStyle` object using the `create()` function and a key identifying the style. The styles are either built-in or dynamically loaded from a style plugin (see `QStylePlugin`).

The valid keys can be retrieved using the `keys()` function. Typically they include "windows", "motif", "cde", "plastique" and "cleanlooks". Depending on the platform, "windowsxp", "windowsvista" and "macintosh" may be available. Note that keys are case insensitive.

See also:
  `QStyle`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QAbstractStyleFactory()` Creates a new QAbstractStyleFactory
`protected` | `QAbstractStyleFactory(QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_QAbstractFactory(long ptr)` This method is internal to Qt Jambi.
`long` | `__qt_cast_to_QAbstractStyleFactory(long ptr)` This method is internal to Qt Jambi.
`abstract QStyle` | `create(java.lang.String key)` Creates and returns a `QStyle` object that matches the given `key`, or returns 0 if no matching style is found.
`static QAbstractStyleFactory` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QAbstractStyleFactory instance pointed to by `nativePointer`.
`abstract java.util.List<java.lang.String>` | `keys()` Returns the list of valid keys, i.e.

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAbstractStyleFactory

    public QAbstractStyleFactory()

  Creates a new QAbstractStyleFactory

### QAbstractStyleFactory

    protected QAbstractStyleFactory(QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### create

    public abstract QStyle create(java.lang.String key)

  Creates and returns a `QStyle` object that matches the given `key`, or returns 0 if no matching style is found.

  Both built-in styles and styles from style plugins are queried for a matching style.

  Note: The keys used are case insensitive.

See also:
  `keys()`.

  Specified by:
    `create` in interface `QAbstractStyleFactoryInterface`

### keys

    public abstract java.util.List<java.lang.String> keys()

  Returns the list of valid keys, i.e. the keys this factory can create styles for.

See also:
  `create()`.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`
  Specified by:
    `keys` in interface `QAbstractStyleFactoryInterface`

### fromNativePointer

    public static QAbstractStyleFactory fromNativePointer(QNativePointer nativePointer)

  This method returns the QAbstractStyleFactory instance pointed to by `nativePointer`.

### __qt_cast_to_QAbstractStyleFactory

    public long __qt_cast_to_QAbstractStyleFactory(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_QAbstractStyleFactory` in interface `QAbstractStyleFactoryInterface`

### __qt_cast_to_QAbstractFactory

    public long __qt_cast_to_QAbstractFactory(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_QAbstractFactory` in interface `QAbstractFactoryInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

lltech/qt/gui/QAbstractStyleFactoryInte